/* MoreBalance includes */
#include "sys.h"

/* System includes */
#include <netdb.h>
#include <netinet/in.h>
#include <stdlib.h>

/* Return the port number of this service */
int sys_port(const char *service)
{
	struct servent *serv;

	if(!service) return 0;

	serv = getservbyname(service, "tcp");

	if(serv)
	{
		if(!serv->s_port) return 0;
		return ntohs(serv->s_port);
	}

	return atoi(service);
}

